%define upstream_name    Net-Google-PicasaWeb
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Use Google Picasa Web services from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Prompt)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Role::Matcher)
BuildRequires: perl(Net::Google::AuthSub)
BuildRequires: perl(Test::Able)
BuildRequires: perl(Test::Able::Runner)
BuildRequires: perl(Test::Mock::LWP)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Twig)
BuildArch: noarch

%description
This defines some common tools available to many of the classes included
with the Net::Google::PicasaWeb manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README AUTHORS Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/picasa
/usr/bin/picasa-get
/usr/bin/picasa-list
/usr/share/man/man1/picasa-get.1.xz
/usr/share/man/man1/picasa-list.1.xz
/usr/share/man/man1/picasa.1.xz



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 164893
- imported package perl-Net-Google-PicasaWeb

